Download it now!
Bug 32193 - Missing language packs, untranslated language/help packs
Summary: Missing language packs, untranslated language/help packs
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
3.3.0 RC2
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 31865
  Show dependency treegraph
 
Reported: 2010-12-07 12:38 UTC by Andras Timar
Modified: 2011-01-23 04:22 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
added ast, ca-XV, id and removed sc (765 bytes, patch)
2011-01-10 02:03 UTC, Andras Timar
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andras Timar 2010-12-07 12:38:14 UTC
From Xuacu Saturio (Asturian translator):
I'm almost sure that I've followed all the steps to get Asturian
language translated, but still I can't see an *.ast* language pack
available for rc1.
Comment 1 Lior Kaplan 2010-12-07 12:48:19 UTC
The Austrian translation file (lo-build-ast.po) is part of the 3.3 tag:
http://cgit.freedesktop.org/libreoffice/build/tree/po?h=libreoffice-3-3
Comment 2 ivarela 2010-12-08 04:09:24 UTC
Hi Lior Kaplan. I'm sure you wanted to write Asturian (not Austrian) :D
Comment 3 Xuacu Saturio 2010-12-27 09:22:09 UTC
Still no language pack available for RC2...
Comment 4 Andras Timar 2011-01-06 04:00:24 UTC
I tested RC2 in regards of localization and I think it needs to be reviewed. 110 languages (including en-US) are selectable as UI language and help packs are provided for those. However,

* Asturian (ast), Catalan (Valencian) (ca-XV), and Indonesian (id) are not included. Asturian and Catalan (Valencian) are especially important, because they are actively participating in LibreOffice localization.

* Gaelic (Scots) (gd), Kirghiz (ky), Lao (lo), Malay (ms), Papiamento (pap), Pushto (ps), ??? (sc), Tigrinya (ti), and Urdu (ur) are included despite the fact that in the source there are no translations at all in these languages, so you basically package en-US strings. Gaelic (Scots) (gd) translation exists at ftp://ftp.linux.cz/pub/localization/OpenOffice.org/devel/build/Files/OOO330/GSI_gd.sdf.bz2 - maybe it can be added.

* It makes no sense to provide help pack for those languages which have 0% of the help translated. See this table for reference: http://wiki.documentfoundation.org/Translation_for_3_3#Language_pack_.2F_Help_pack_coverage
This table was made from the RC2 sources.
Comment 5 Andras Timar 2011-01-10 02:03:10 UTC
Created attachment 41831 [details]
added ast, ca-XV, id and removed sc 

ast, ca-XV, and id are missing from solenv/inc/postset.mk - these are not picked up when someone uses --with-lang=ALL
sc is not an ISO language code
Comment 6 Andras Timar 2011-01-10 02:21:57 UTC
Fridrich signed off my patch on irc, I pushed it.
Comment 7 Andras Timar 2011-01-10 02:28:26 UTC
(In reply to comment #4)
I added Lao (lo) sdf file to l10n repository from ftp://ftp.linux.cz/pub/localization/OpenOffice.org/devel/build/Files/OOO330. It is a bit outdated (last update from 2006).
I also checked Gaelic (gd) and I decided not to add it, because a lot of translations were not real. The word "deuchainn" (which means "test" I think) were used all over for different source strings.
Comment 8 Fridrich Strba 2011-01-12 13:48:45 UTC
There will be ast babla language packs and help packs for 3.3.0 rc3. Uploading them right now to the ftp.
Comment 9 Xuacu Saturio 2011-01-12 14:45:49 UTC
(In reply to comment #8)
> There will be ast babla language packs and help packs for 3.3.0 rc3. Uploading
> them right now to the ftp.

Thank you all from the Asturian Team!
Comment 10 sophie 2011-01-23 04:22:24 UTC
Closing - Sophie